Skip to main content
PUT
/
v1
/
custom-fields
/
{id}
Update custom field
curl --request PUT \
  --url https://app.chatbotx.io/api/v1/custom-fields/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "folderId": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Pattern: \d+

Body

application/json
name
string
required
Required string length: 1 - 255
description
string
folderId
string | null
Pattern: \d+

Response

OK

id
string
required
name
string
required
type
enum<string>
required
Available options:
shortText,
email,
phoneNumber,
number,
date,
datetime,
boolean,
longText
description
string | null
required